package com.sinosig.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [JQXBJ] 对象
 */
public interface IJQXBJ {

    /**
     * 获取 [费率系数]
     */
    public void setFlxs(Double flxs);
    
    /**
     * 设置 [费率系数]
     */
    public Double getFlxs();

    /**
     * 获取 [费率系数]脏标记
     */
    public boolean getFlxsDirtyFlag();
    /**
     * 获取 [交强险报价标识]
     */
    public void setJQXBJId(String jQXBJId);
    
    /**
     * 设置 [交强险报价标识]
     */
    public String getJQXBJId();

    /**
     * 获取 [交强险报价标识]脏标记
     */
    public boolean getJQXBJIdDirtyFlag();
    /**
     * 获取 [交强险报价名称]
     */
    public void setJQXBJName(String jQXBJName);
    
    /**
     * 设置 [交强险报价名称]
     */
    public String getJQXBJName();

    /**
     * 获取 [交强险报价名称]脏标记
     */
    public boolean getJQXBJNameDirtyFlag();
    /**
     * 获取 [基准保费]
     */
    public void setJzbf(BigDecimal jzbf);
    
    /**
     * 设置 [基准保费]
     */
    public BigDecimal getJzbf();

    /**
     * 获取 [基准保费]脏标记
     */
    public boolean getJzbfDirtyFlag();
    /**
     * 获取 [实交保费]
     */
    public void setSjbf(BigDecimal sjbf);
    
    /**
     * 设置 [实交保费]
     */
    public BigDecimal getSjbf();

    /**
     * 获取 [实交保费]脏标记
     */
    public boolean getSjbfDirtyFlag();
    /**
     * 获取 [条款代码]
     */
    public void setTkdm(String tkdm);
    
    /**
     * 设置 [条款代码]
     */
    public String getTkdm();

    /**
     * 获取 [条款代码]脏标记
     */
    public boolean getTkdmDirtyFlag();
    /**
     * 获取 [条款名称]
     */
    public void setTkmc(String tkmc);
    
    /**
     * 设置 [条款名称]
     */
    public String getTkmc();

    /**
     * 获取 [条款名称]脏标记
     */
    public boolean getTkmcDirtyFlag();
    /**
     * 获取 [责任限额]
     */
    public void setZrxe(BigDecimal zrxe);
    
    /**
     * 设置 [责任限额]
     */
    public BigDecimal getZrxe();

    /**
     * 获取 [责任限额]脏标记
     */
    public boolean getZrxeDirtyFlag();
}
